Bug 1006416 - whitelisting of spacewalk-report command is required, not optional
whitelisting of spacewalk-report command is required, not optional
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
:
Depends On:
Blocks: sat560-docs
  Show dependency treegraph
 
Reported: 2013-09-10 11:04 EDT by Jan Hutař
Modified: 2013-10-11 07:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 07:23:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-09-10 11:04:49 EDT
Description of problem:
In "4.4.3. Configuring Servers for Enhanced Entitlements Reporting" step 5 there is:

Important
  For added security, prepend the public key content with the following: 
    command="/usr/bin/spacewalk-report $SSH_ORIGINAL_COMMAND"
  This ensures the swreport only uses the spacewalk-report command.

This made me think it is not required (it is good "only" for enhanced security), but it is required. When you do not do this, Splice fails to sync data.


Version-Release number of selected component (if applicable):
Current development version.
Comment 1 Dan Macpherson 2013-09-10 23:55:40 EDT
Converting important admonition to step.
Comment 3 Dan Macpherson 2013-09-11 23:07:46 EDT
Verified.
Comment 4 Clifford Perry 2013-10-11 07:23:38 EDT
Satellite 5.6 Documentation is published, as part of the 5.6 release and can be found here: 

https://access.redhat.com/site/documentation/Red_Hat_Satellite/

Closing this bug out. Please open a new bug, if there is further issues/concerns with the Satellite Documentation.

Regards,
Cliff

Note You need to log in before you can comment on or make changes to this bug.